org.eclipse.oomph.targlets

## Interface TargletFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    TargletFactoryImpl

      public interface TargletFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `TargletPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TargletFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Targlet` | `copyTarglet(Targlet source)`
    `EList<Targlet>` | `copyTarglets(Collection<? extends Targlet> targlets)`
    `BuckminsterGenerator` | `createBuckminsterGenerator()` Returns a new object of class 'Buckminster Generator'.
    `ComponentDefinition` | `createComponentDefinition()` Returns a new object of class 'Component Definition'.
    `ComponentExtension` | `createComponentExtension()` Returns a new object of class 'Component Extension'.
    `ComponentGenerator` | `createComponentGenerator()` Returns a new object of class 'Component Generator'.
    `FeatureGenerator` | `createFeatureGenerator()` Returns a new object of class 'Feature Generator'.
    `PluginGenerator` | `createPluginGenerator()` Returns a new object of class 'Plugin Generator'.
    `Targlet` | `createTarglet()` Returns a new object of class 'Targlet'.
    `Targlet` | `createTarglet(String name)`
    `TargletContainer` | `createTargletContainer()` Returns a new object of class 'Container'.
    `TargletPackage` | `getTargletPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final TargletFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createTargletContainer

          TargletContainer createTargletContainer()

      Returns a new object of class 'Container'.
      Returns:
        a new object of class 'Container'.
      Generated

    - #### createTarglet

          Targlet createTarglet()

      Returns a new object of class 'Targlet'.
      Returns:
        a new object of class 'Targlet'.
      Generated

    - #### createTarglet

          Targlet createTarglet(String name)

    - #### copyTarglet

          Targlet copyTarglet(Targlet source)

    - #### copyTarglets

          EList<Targlet> copyTarglets(Collection<? extends Targlet> targlets)

    - #### createComponentExtension

          ComponentExtension createComponentExtension()

      Returns a new object of class 'Component Extension'.
      Returns:
        a new object of class 'Component Extension'.
      Generated

    - #### createComponentDefinition

          ComponentDefinition createComponentDefinition()

      Returns a new object of class 'Component Definition'.
      Returns:
        a new object of class 'Component Definition'.
      Generated

    - #### createFeatureGenerator

          FeatureGenerator createFeatureGenerator()

      Returns a new object of class 'Feature Generator'.
      Returns:
        a new object of class 'Feature Generator'.
      Generated

    - #### createPluginGenerator

          PluginGenerator createPluginGenerator()

      Returns a new object of class 'Plugin Generator'.
      Returns:
        a new object of class 'Plugin Generator'.
      Generated

    - #### createComponentGenerator

          ComponentGenerator createComponentGenerator()

      Returns a new object of class 'Component Generator'.
      Returns:
        a new object of class 'Component Generator'.
      Generated

    - #### createBuckminsterGenerator

          BuckminsterGenerator createBuckminsterGenerator()

      Returns a new object of class 'Buckminster Generator'.
      Returns:
        a new object of class 'Buckminster Generator'.
      Generated

    - #### getTargletPackage

          TargletPackage getTargletPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html